<h1 class="m-3">Category</h1>
<form class="m-4" (ngSubmit)="onSubmit(heroForm)" #heroForm="ngForm" >

    <div class="form-group m-3">
      <label>Name</label>
      <input  class="form-control" required 
               [(ngModel)]="category.name" name="name" placeholder="Name">
    </div>
    
    <div class="form-group m-3">
        <label>Perant Category </label>
        <mat-form-field appearance="standard" class="ms-4 w-25">
          <mat-select [(ngModel)]="category.perantId" name="categoryperantId">
            <mat-option  *ngFor="let cat of categories"  class="form-control"  [value]="cat.id">
              {{cat.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
    </div>
   
   
    <button type="submit" class="btn btn-success m-2">submit</button>
    <button  class="btn btn-primary m-2" routerLink='/Category/List'
    routerLinkActive="router-link-active">Back</button>
  </form>

